Evaluation
Evaluation summary
Summarize verifier pass rates and repair history.
GET
/
v1
/
eval-summary
Evaluation summary
curl --request GET \
--url https://api.getmillwork.dev/v1/eval-summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/eval-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"pass_rate_trend": [
{
"activity": "customer",
"attempted_checks": 123,
"coverage": 123,
"day": "<string>",
"mean_quality_score": 123,
"pass_rate": 123,
"passed": 123,
"technical_failures": 123,
"total": 123,
"valid_customer_verdicts": 123,
"verifier_id": "<string>"
}
],
"repair_history": [
{
"arm_id": "<string>",
"candidate_score": 123,
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decision": "<string>",
"execution_id": "<string>",
"parent_artifact_id": "<string>",
"parent_score": 123,
"proposal_id": "<string>",
"slice_id": "<string>",
"status": "<string>"
}
],
"window": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
⌘I
Evaluation summary
curl --request GET \
--url https://api.getmillwork.dev/v1/eval-summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/eval-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"pass_rate_trend": [
{
"activity": "customer",
"attempted_checks": 123,
"coverage": 123,
"day": "<string>",
"mean_quality_score": 123,
"pass_rate": 123,
"passed": 123,
"technical_failures": 123,
"total": 123,
"valid_customer_verdicts": 123,
"verifier_id": "<string>"
}
],
"repair_history": [
{
"arm_id": "<string>",
"candidate_score": 123,
"created_at": "2023-11-07T05:31:56Z",
"decided_at": "2023-11-07T05:31:56Z",
"decision": "<string>",
"execution_id": "<string>",
"parent_artifact_id": "<string>",
"parent_score": 123,
"proposal_id": "<string>",
"slice_id": "<string>",
"status": "<string>"
}
],
"window": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}